Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.rfid.edge.api.workflow
Interface PortType

All Known Implementing Classes:
  AnyPortType, ListOneWayPortType, MultiTypeOneWayPortType, SimpleOneWayPortType

    public interface PortType

Holds information about what type of messages a port may send or accept. This interface has methods that will help determine if it is valid to connect two port types or if a port type will process a certain message.

Method Summary
`boolean` | `canAcceptMessage(Object msg)` Determines if the port type will accept the given message.
`String` | `getDisplayName()` Returns the display name for this port type.
`String` | `getStringRepresentation()` Returns a string representation that uniquely identifies equivalent port types.
`boolean` | `isWirableFrom(PortType fromType)` Determines whether it is valid to connect the given `PortType` to this.

Method Detail

### isWirableFrom

    boolean isWirableFrom(PortType fromType)

  Determines whether it is valid to connect the given `PortType` to this. Returns true if it is a valid connection; False otherwise.

  Parameters:
    `fromType` - The PortType from which this is to be connected.
  Returns:
    Returns true if it is valid to connect the given `PortType`to this; False otherwise.``

### canAcceptMessage

    boolean canAcceptMessage(Object msg)

  Determines if the port type will accept the given message. This method may be used by the edge flow engine for error checking before sending messages to a port.

  Parameters:
    `msg` - The message that is to be sent.
  Returns:
    Returns true if the port type will accept the message. False otherwise.

### getDisplayName

    String getDisplayName()

  Returns the display name for this port type. This value may be used in GUIs and such to give visual cue to users of the modules.

  Returns:
    Display name of the port type.

### getStringRepresentation

    String getStringRepresentation()

  Returns a string representation that uniquely identifies equivalent port types. This is a temporary mechanism used to represent a port type in `dynamic set parameters` in `dynamic configuration`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD